@ECHO OFF

rem Utility script to encrypt and save proxy credentials to be used by the java probe
rem expected parameters:
rem <user>
rem <password>
rem The result is automatically  saved  in app-pulse-agent.properties proxy section
  
pushd %CD%

set PROBEAGGREGATOR_HOME=%~dp0..
goto homeDone

:setup4NT
set PROBEAGGREGATOR_HOME=%@TRUENAME[%@PATH[%0]..]
goto homeDone

:homeDone

echo %PROBEAGGREGATOR_HOME%

if EXIST "%PROBEAGGREGATOR_HOME%\JRE\bin\java.exe" GOTO USE_JRE

REM If no JRE, try using JAVA1_7_HOME
if EXIST "%JAVA1_7_HOME%" GOTO WARNING
ECHO Please set JAVA1_7_HOME to a valid Sun 1.7.0 JRE installation.
GOTO EXIT

:USE_JRE
set JAVA1_7_HOME="%PROBEAGGREGATOR_HOME%\JRE"
GOTO START

:WARNING
ECHO WARNING - Make sure that JAVA1_7_HOME is set to a valid Sun 1.7.0 JRE installation.


:START
set JAR="../lib/cryptUtil.jar";"../lib/AppPulseAgent.jar";"../lib/commons-codec-1.9.jar"
set MAIN_CLASS=com.mercury.opal.javaprobe.utilitiesV5.encrypt.EncryptionExecutorUtil
set ARGS=%1 %2  

rem echo #"%JAVA1_7_HOME%\bin\java" -classpath %JAR% %MAIN_CLASS% %ARGS%#
%JAVA1_7_HOME%\bin\java -classpath %JAR% %MAIN_CLASS% %ARGS%

set exitCode=%errorlevel%
IF NOT "%exitCode%"=="0" GOTO hadError
GOTO doneOk
:hadError
echo ################## Got ERROR Exit code %exitCode% ################## 
popd
exit /b %exitCode%
:doneOk
echo ################## Succefuly encrypted ################## 
:EXIT
popd
exit /b %exitCode%

